{ nix-config, config, lib, pkgs, inputs, ... }:
{

  imports = with nix-config.homeModules; [
    shell-conf # shell, shell utils, cli tools, libs, tui's
    git-conf
  ];

  home = {
    packages = with pkgs; [
      beets
    ];

    username = "media";
    homeDirectory = "/home/media";

    sessionVariables = {
      NH_FLAKE = "\${HOME}/nixos-config";
    };


    sessionPath = [
      "/home/media/.local/bin"
      "/home/media/.local/share"
      "/home/media/.nix-profile/lib"
      "/etc/profiles/per-user/media/bin/"
      "/home/media/.local/state/nix/profiles/home-manager/home-path/bin/"
    ];


    stateVersion = "25.05";
  };

  programs = {
    home-manager.enable = true;
    password-store.enable = true;
  };

  systemd.user = {
    enable = true;
    startServices = "sd-switch"; # auto reload services when home is rebuilt
  };

  xdg.configFile."beets/config.yaml".source = ../../modules/home/beets/config.yaml;

  #custom script executables
  home.file.".local/bin" = {
    source = ../emenel/dotfiles/dot_local/bin;
    recursive = true;
  };
}
